Save/Load/Defeat - extra features (Auto Save, etc)

Discussion in 'JS Plugins In Development' started by ZephyrAM, Oct 8, 2018.

  1. ZephyrAM

    ZephyrAM Veteran Veteran

    Messages:
    74
    Likes Received:
    74
    Location:
    Seattle, WA
    First Language:
    English
    Primarily Uses:
    RMMV
    Well, I can't find any possible connection between the two plugins. Not a single function in common.

    I uploaded the newest version though, so give that a try and see if it takes care of the problem for you. Also, if you don't already have the plugins in this order, try this - Top to bottom:
    • ZephAM_Core
    • YEP_Core
    • YEP_MessageCore
    • ZephAM_SaveLoadDefeat
     
    #21
  2. Drunken Paladin

    Drunken Paladin Veteran Veteran

    Messages:
    80
    Likes Received:
    55
    First Language:
    English
    Sorry for more bad news, but the update doesn't appear to work at all for me, no matter the load order. Not only that, but it went from blocking certain plugin commands (specifically, message core's) to virtually all plugin commands.

    In fairness, it's a game in progress with a lot of plugins, most of them Yanfly's. If I try dropping the SaveLoadDefeat plugin down to the bottom of the list, it throws up a "TypeError: Cannot read property 'toLowerCase' of undefined" and points to Yanfly's Core Engine's line 1098: console.error(e.stack);

    I appreciate your effort, in any case, and I hope others have more success with it.
     
    Last edited: Jun 4, 2019
    #22
  3. ZephyrAM

    ZephyrAM Veteran Veteran

    Messages:
    74
    Likes Received:
    74
    Location:
    Seattle, WA
    First Language:
    English
    Primarily Uses:
    RMMV
    Don't give up yet ^_^.

    I'll look into this and see what I can find. If you could screenshot the console error list - and maybe your plugin list - that may help.

    Edit:
    Also - console.error(e.stack)? That's line 1094 in my Yanfly Core. Double check that you have the updated version of that plugin? Though it hasn't been updated in a while. Should be version 1.31

    Tried putting those 4 plugins into an older project of mine - pre MV 1.41 - but still works without crashing... Hmm.

    @Drunken Paladin - The plugin worked for you a few versions ago, right? Do you happen to remember the last version it worked with? Or a feature in the update list that wasn't there when it worked?
     
    Last edited: Jun 4, 2019
    #23

Share This Page